services:
  notes:
    image: nginx:alpine
    container_name: obsidian-notes
    restart: unless-stopped
    volumes:
      - ./:/usr/share/nginx/html:ro
      - ./nginx.conf:/etc/nginx/conf.d/default.conf:ro
    networks:
      - serving_default

networks:
  serving_default:
    external: true
